apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: ingress-rest-api
  annotations:
    #nginx.ingress.kubernetes.io/rewrite-target: /
    alb.ingress.kubernetes.io/scheme: internet-facing
    alb.ingress.kubernetes.io/target-type: 'ip'
    alb.ingress.kubernetes.io/subnets: subnet-0d954a1f2d895cccf, subnet-07894c9497788c54a, subnet-0462046e21c302971, subnet-0081ab2925bf0312d
spec:
  ingressClassName: alb
  rules:
    - http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: rest-service
                port:
                  number: 8080
